Create Invoice
curl --request POST \
--url https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/invoices \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"clientId": "64abc123def456789012345a",
"productId": "prod_ABC123XYZ",
"collection_method": "send_invoice",
"days_until_due": 30
}
}
'import requests
url = "https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/invoices"
payload = { "data": {
"clientId": "64abc123def456789012345a",
"productId": "prod_ABC123XYZ",
"collection_method": "send_invoice",
"days_until_due": 30
} }
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
clientId: '64abc123def456789012345a',
productId: 'prod_ABC123XYZ',
collection_method: 'send_invoice',
days_until_due: 30
}
})
};
fetch('https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "in_1ABC123DEF456GHI",
"amount": 10000,
"currency": "usd",
"status": "draft",
"number": "GJXQAHMC-0001",
"customer": {
"id": "cus_ABC123XYZ",
"email": "customer@example.com",
"name": "John Doe"
},
"description": "",
"created": 1700000000
}{
"error": "An unexpected error occurred"
}Invoices
Create Invoice
Create an invoice for a connected account.
POST
/
stripe
/
connect
/
accounts
/
{accountId}
/
invoices
Create Invoice
Headers
All requests to the ChatDash API must be validated with the agency API Key found on your agency profile
Path Parameters
The Stripe connected account ID
Body
application/json
Show child attributes
Show child attributes
Response
OK
The invoice ID
Example:
"in_1ABC123DEF456GHI"
Amount in smallest currency unit (e.g., cents for USD)
Example:
10000
Three-letter ISO currency code
Example:
"usd"
Invoice status
Example:
"draft"
Invoice number
Example:
"GJXQAHMC-0001"
Show child attributes
Show child attributes
Invoice description
Example:
""
Unix timestamp of when the invoice was created
Example:
1700000000
⌘I
